| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::VCardFieldAddressMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- VCardFieldAddressMap ()
- VCardFieldAddressMap (const QMap< QString, QString > &a)
- VCardFieldAddressMap & operator= (const QMap< QString, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QString>, but needed to have a discrete type in the Qt type system.

A mapping of vCard fields and addresses equivalent to a particular contact's protocol identifier. For instance, on XMPP this would contain `x-jabber` for all contacts, and `x-facebook-id` for contacts on Facebook's server.

## Constructor & Destructor Documentation

Tp::VCardFieldAddressMap::VCardFieldAddressMap | ( |  | ) | `[inline]`

Tp::VCardFieldAddressMap::VCardFieldAddressMap | ( | const QMap< QString, QString > & | a | ) | `[inline]`

## Member Function Documentation

VCardFieldAddressMap& Tp::VCardFieldAddressMap::operator= | ( | const QMap< QString, QString > & | a | ) | `[inline]`